Returns the mid point of an arc curve object.
Rhino.ArcMidPoint (strObject [, intIndex [, dblTolerance]])
strObject |
Required. String. The object's identifier. |
intIndex |
Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query. |
dblTolerance |
Optional. Number. If the curve is not an arc curve object, then the tolerance used to determine whether or not the NURBS form of the curve has the properties of an arc. If omitted, Rhino's internal zero tolerance is used. |
Array. |
The 3-D mid point of the arc if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoint
strObject = Rhino.GetObject("Select arc")
If Rhino.IsArc(strObject) Then
arrPoint = Rhino.ArcMidPoint(strObject)
Rhino.AddPoint arrPoint
End If